Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.fop.pdf
Enum PDFInfo.StandardKey

    java.lang.Object
      java.lang.Enum<PDFInfo.StandardKey>
          org.apache.fop.pdf.PDFInfo.StandardKey

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PDFInfo.StandardKey>

Enclosing class:
  PDFInfo

    public static enum PDFInfo.StandardKey

extends java.lang.Enum<PDFInfo.StandardKey>

The standard keys in the Document Information Dictionary

Enum Constant Summary
`AUTHOR`
`CREATION_DATE`
`CREATOR`
`KEYWORDS`
`MOD_DATE`
`PRODUCER`
`SUBJECT`
`TITLE`
`TRAPPED`

Method Summary
`static PDFInfo.StandardKey` | `get(java.lang.String name)` Returns the standard key that corresponds to the given name.
`java.lang.String` | `getName()` Returns the name of this key.
`static PDFInfo.StandardKey` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PDFInfo.StandardKey[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TITLE

    public static final PDFInfo.StandardKey TITLE

### AUTHOR

    public static final PDFInfo.StandardKey AUTHOR

### SUBJECT

    public static final PDFInfo.StandardKey SUBJECT

### KEYWORDS

    public static final PDFInfo.StandardKey KEYWORDS

### CREATOR

    public static final PDFInfo.StandardKey CREATOR

### PRODUCER

    public static final PDFInfo.StandardKey PRODUCER

### CREATION_DATE

    public static final PDFInfo.StandardKey CREATION_DATE

### MOD_DATE

    public static final PDFInfo.StandardKey MOD_DATE

### TRAPPED

    public static final PDFInfo.StandardKey TRAPPED

Method Detail

### values

    public static PDFInfo.StandardKey[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PDFInfo.StandardKey c : PDFInfo.StandardKey.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PDFInfo.StandardKey valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### get

    public static PDFInfo.StandardKey get(java.lang.String name)

  Returns the standard key that corresponds to the given name.

  Parameters:
    `name` - key name
  Returns:
    the key whose name exactly matches the given name (case-sensitive)

### getName

    public java.lang.String getName()

  Returns the name of this key.

  Returns:
    the name as it would appear in the Info dictionary without the leading slash

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.